diff --git a/src/Lunr/Gravity/Database/MariaDB/MariaDBDMLQueryBuilder.php b/src/Lunr/Gravity/Database/MariaDB/MariaDBDMLQueryBuilder.php
index 3205eaf6c6ff7d13f83978a069394ce8ff75a783..d1c73bb3cb952c7dea2c07e24b08e9fb3e828ecb 100644
--- a/src/Lunr/Gravity/Database/MariaDB/MariaDBDMLQueryBuilder.php
+++ b/src/Lunr/Gravity/Database/MariaDB/MariaDBDMLQueryBuilder.php
@@ -50,6 +50,34 @@ class MariaDBDMLQueryBuilder extends MySQLDMLQueryBuilder
         return $this;
     }
 
+    /**
+     * Define a EXCEPT, EXCEPT ALL or EXCEPT DISTINCT clause of the SQL statement.
+     *
+     * @param string $sql_query SQL query reference
+     * @param string $operator  EXCEPT operation to perform
+     *
+     * @return MariaDBDMLQueryBuilder $self Self reference
+     */
+    public function except($sql_query, $operator = NULL)
+    {
+        $this->sql_compound($sql_query, 'EXCEPT', strtoupper($operator));
+        return $this;
+    }
+
+    /**
+     * Define a INTERSECT, INTERSECT ALL or INTERSECT DISTINCT clause of the SQL statement.
+     *
+     * @param string $sql_query SQL query reference
+     * @param string $operator  INTERSECT operation to perform
+     *
+     * @return MariaDBDMLQueryBuilder $self Self reference
+     */
+    public function intersect($sql_query, $operator = NULL)
+    {
+        $this->sql_compound($sql_query, 'INTERSECT', strtoupper($operator));
+        return $this;
+    }
+
 }
 
 ?>
diff --git a/src/Lunr/Gravity/Database/MariaDB/MariaDBSimpleDMLQueryBuilder.php b/src/Lunr/Gravity/Database/MariaDB/MariaDBSimpleDMLQueryBuilder.php
index 313dfff4f28f3c17c32b617bd0e1477df5198f66..a042f58c740553fdf02bb2847de445c069c0df1b 100644
--- a/src/Lunr/Gravity/Database/MariaDB/MariaDBSimpleDMLQueryBuilder.php
+++ b/src/Lunr/Gravity/Database/MariaDB/MariaDBSimpleDMLQueryBuilder.php
@@ -66,6 +66,35 @@ class MariaDBSimpleDMLQueryBuilder extends MySQLSimpleDMLQueryBuilder
         return $this;
     }
 
+    /**
+     * Define a INTERSECT, INTERSECT DISTINCT or INTERSECT ALL clause of the SQL statement.
+     *
+     * @param string $sql_query SQL query reference
+     * @param string $type      Type of INTERSECT operation to perform.
+     *
+     * @return MariaDBDMLQueryBuilder $self Self reference
+     */
+    public function intersect($sql_query, $type = NULL)
+    {
+        $this->builder->intersect($this->escaper->query_value($sql_query), $type);
+        return $this;
+    }
+
+
+    /**
+     * Define a EXCEPT, EXCEPT DISTINCT or EXCEPT ALL clause of the SQL statement.
+     *
+     * @param string $sql_query SQL query reference
+     * @param string $type      Type of EXCEPT operation to perform.
+     *
+     * @return MariaDBDMLQueryBuilder $self Self reference
+     */
+    public function except($sql_query, $type = NULL)
+    {
+        $this->builder->except($this->escaper->query_value($sql_query), $type);
+        return $this;
+    }
+
 }
 
 ?>
diff --git a/src/Lunr/Gravity/Database/MariaDB/Tests/MariaDBDMLQueryBuilderSelectTest.php b/src/Lunr/Gravity/Database/MariaDB/Tests/MariaDBDMLQueryBuilderSelectTest.php
new file mode 100644
index 0000000000000000000000000000000000000000..585c03c058fae96127aa772d910a9e3e76cc5f14
--- /dev/null
+++ b/src/Lunr/Gravity/Database/MariaDB/Tests/MariaDBDMLQueryBuilderSelectTest.php
@@ -0,0 +1,141 @@
+<?php
+
+/**
+ * This file contains the MariaDBDMLQueryBuilderSelectTest class.
+ *
+ * @package    Lunr\Gravity\Database\MariaDB
+ * @author     David Cova <d.cova@m2mobi.com>
+ * @copyright  2013-2018, M2Mobi BV, Amsterdam, The Netherlands
+ * @license    http://lunr.nl/LICENSE MIT License
+ */
+
+namespace Lunr\Gravity\Database\MariaDB\Tests;
+
+use Lunr\Gravity\Database\MariaDB\Tests\MariaDBDMLQueryBuilderTest;
+/**
+ * This class contains select tests for the MariaDBDMLQueryBuilder class.
+ *
+ * @covers Lunr\Gravity\Database\MariaDB\MariaDBDMLQueryBuilder
+ */
+class MariaDBDMLQueryBuilderSelectTest extends MariaDBDMLQueryBuilderTest
+{
+
+     /**
+     * Test if except returns an instance of itself.
+     *
+     * @covers Lunr\Gravity\Database\MariaDB\MariaDBDMLQueryBuilder::except
+     */
+    public function testIfExceptReturnsSelfReference(): void
+    {
+        $return = $this->builder->except('query');
+
+        $this->assertInstanceOf('Lunr\Gravity\Database\MariaDB\MariaDBDMLQueryBuilder', $return);
+        $this->assertSame($this->builder, $return);
+    }
+
+    /**
+     * Test if intersect returns an instance of itself.
+     *
+     * @covers Lunr\Gravity\Database\MariaDB\MariaDBDMLQueryBuilder::intersect
+     */
+    public function testIfIntersectReturnsSelfReference(): void
+    {
+        $return = $this->builder->intersect('query');
+
+        $this->assertInstanceOf('Lunr\Gravity\Database\MariaDB\MariaDBDMLQueryBuilder', $return);
+        $this->assertSame($this->builder, $return);
+    }
+
+    /**
+     * Test if intersect() defaults to INTERSECT when a string other than DISTINCT or ALL is passed.
+     *
+     * @covers Lunr\Gravity\Database\MariaDB\MariaDBDMLQueryBuilder::intersect
+     */
+    public function testIntersectDefaults()
+    {
+        $this->builder->intersect('query', 'random_string');
+        $return = $this->builder_reflection->getProperty('compound');
+        $return->setAccessible(TRUE);
+
+        $actual = $return->getValue($this->builder);
+        $this->assertEquals('INTERSECT query', $actual);
+    }
+
+    /**
+     * Test if intersect() returns INTERSECT DISTINCT when DISTINCT is passed.
+     *
+     * @covers Lunr\Gravity\Database\MariaDB\MariaDBDMLQueryBuilder::intersect
+     */
+    public function testIntersectDistinct()
+    {
+        $this->builder->intersect('query', 'distinct');
+        $return = $this->builder_reflection->getProperty('compound');
+        $return->setAccessible(TRUE);
+
+        $actual = $return->getValue($this->builder);
+        $this->assertEquals('INTERSECT DISTINCT query', $actual);
+    }
+
+    /**
+     * Test if intersect() returns INTERSECT ALL when ALL is passed.
+     *
+     * @covers Lunr\Gravity\Database\MariaDB\MariaDBDMLQueryBuilder::intersect
+     */
+    public function testIntersectAll()
+    {
+        $this->builder->intersect('query', 'all');
+        $return = $this->builder_reflection->getProperty('compound');
+        $return->setAccessible(TRUE);
+
+        $actual = $return->getValue($this->builder);
+        $this->assertEquals('INTERSECT ALL query', $actual);
+    }
+
+    /**
+     * Test if except() defaults to EXCEPT when a string other than DISTINCT or ALL is passed.
+     *
+     * @covers Lunr\Gravity\Database\MariaDB\MariaDBDMLQueryBuilder::except
+     */
+    public function testExceptDefaults()
+    {
+        $this->builder->except('query', 'random_string');
+        $return = $this->builder_reflection->getProperty('compound');
+        $return->setAccessible(TRUE);
+
+        $actual = $return->getValue($this->builder);
+        $this->assertEquals('EXCEPT query', $actual);
+    }
+
+    /**
+     * Test if except() returns EXCEPT DISTINCT when DISTINCT is passed.
+     *
+     * @covers Lunr\Gravity\Database\MariaDB\MariaDBDMLQueryBuilder::except
+     */
+    public function testExceptDistinct()
+    {
+        $this->builder->except('query', 'DISTINCT');
+        $return = $this->builder_reflection->getProperty('compound');
+        $return->setAccessible(TRUE);
+
+        $actual = $return->getValue($this->builder);
+        $this->assertEquals('EXCEPT DISTINCT query', $actual);
+    }
+
+    /**
+     * Test if except() returns EXCEPT ALL when ALL is passed.
+     *
+     * @covers Lunr\Gravity\Database\MariaDB\MariaDBDMLQueryBuilder::except
+     */
+    public function testExceptAll()
+    {
+        $this->builder->except('query', 'all');
+        $return = $this->builder_reflection->getProperty('compound');
+        $return->setAccessible(TRUE);
+
+        $actual = $return->getValue($this->builder);
+        $this->assertEquals('EXCEPT ALL query', $actual);
+    }
+
+}
+
+?>
diff --git a/src/Lunr/Gravity/Database/MariaDB/Tests/MariaDBSimpleDMLQueryBuilderSelectTest.php b/src/Lunr/Gravity/Database/MariaDB/Tests/MariaDBSimpleDMLQueryBuilderSelectTest.php
new file mode 100644
index 0000000000000000000000000000000000000000..a789dc04023077b69e38a216d2af8b9fe5d051e6
--- /dev/null
+++ b/src/Lunr/Gravity/Database/MariaDB/Tests/MariaDBSimpleDMLQueryBuilderSelectTest.php
@@ -0,0 +1,66 @@
+<?php
+
+/**
+ * This file contains the MariaDBSimpleDMLQueryBuilderSelectTest class.
+ *
+ * @package   Lunr\Gravity\Database\MariaDB
+ * @author    David Cova <d.cova@m2mobi.com>
+ * @copyright 2013-2018, M2Mobi BV, Amsterdam, The Netherlands
+ * @license   http://lunr.nl/LICENSE MIT License
+ */
+
+namespace Lunr\Gravity\Database\MariaDB\Tests;
+
+/**
+ * This class contains select tests for the MariaDBSimpleDMLQueryBuilder class.
+ *
+ * @covers Lunr\Gravity\Database\MariaDB\MariaDBSimpleDMLQueryBuilder
+ */
+class MariaDBSimpleDMLQueryBuilderSelectTest extends MariaDBSimpleDMLQueryBuilderTest
+{
+
+    /**
+     * Test intersect().
+     *
+     * @dataProvider compoundOperatorProvider
+     * @covers Lunr\Gravity\Database\MariaDB\MariaDBSimpleDMLQueryBuilder::intersect
+     */
+    public function testIntersect($operators): void
+    {
+        $this->escaper->expects($this->once())
+                      ->method('query_value')
+                      ->with('query')
+                      ->willReturn('(query)');
+
+        $this->builder->expects($this->once())
+                      ->method('intersect')
+                      ->with('(query)', $operators)
+                      ->willReturnSelf();
+
+        $this->class->intersect('query', $operators);
+    }
+
+    /**
+     * Test except().
+     *
+     * @dataProvider compoundOperatorProvider
+     * @covers Lunr\Gravity\Database\MariaDB\MariaDBSimpleDMLQueryBuilder::except
+     */
+    public function testExcept($operators): void
+    {
+        $this->escaper->expects($this->once())
+                      ->method('query_value')
+                      ->with('query')
+                      ->willReturn('(query)');
+
+        $this->builder->expects($this->once())
+                      ->method('except')
+                      ->with('(query)', $operators)
+                      ->willReturnSelf();
+
+        $this->class->except('query', $operators);
+    }
+
+}
+
+?>
diff --git a/src/Lunr/Gravity/Database/MariaDB/Tests/MariaDBSimpleDMLQueryBuilderTest.php b/src/Lunr/Gravity/Database/MariaDB/Tests/MariaDBSimpleDMLQueryBuilderTest.php
index 69ec2da10667ea9690f6d1dd528f6b1201dc37e2..27582093e3b82874202b34b1804173dd048c2e16 100644
--- a/src/Lunr/Gravity/Database/MariaDB/Tests/MariaDBSimpleDMLQueryBuilderTest.php
+++ b/src/Lunr/Gravity/Database/MariaDB/Tests/MariaDBSimpleDMLQueryBuilderTest.php
@@ -67,6 +67,23 @@ abstract class MariaDBSimpleDMLQueryBuilderTest extends TestCase
         unset($this->class);
     }
 
+    /**
+    * Unit test data provider for tested union operators.
+    *
+    * @return array $compound operators for union query
+    */
+    public function compoundOperatorProvider(): array
+    {
+        $operators   = [];
+        $operators[] = [ NULL ];
+        $operators[] = [ 'ALL' ];
+        $operators[] = [ 'DISTINCT' ];
+        $operators[] = [ TRUE ];
+        $operators[] = [ FALSE ];
+
+        return $operators;
+    }
+
 }
 
 ?>
diff --git a/src/Lunr/Gravity/Database/SQLite3/SQLite3DMLQueryBuilder.php b/src/Lunr/Gravity/Database/SQLite3/SQLite3DMLQueryBuilder.php
index 02f88bfdb82fa8288b0115a939627c405de92a42..aa561128f4897cb14c0f2bcc24805ffa8726b7fb 100644
--- a/src/Lunr/Gravity/Database/SQLite3/SQLite3DMLQueryBuilder.php
+++ b/src/Lunr/Gravity/Database/SQLite3/SQLite3DMLQueryBuilder.php
@@ -267,6 +267,44 @@ class SQLite3DMLQueryBuilder extends SQLDMLQueryBuilder
         return $this;
     }
 
+    /**
+     * Define a EXCEPT, EXCEPT ALL or EXCEPT DISTINCT clause of the SQL statement.
+     *
+     * @param string $sql_query SQL query reference
+     * @param string $operator  EXCEPT operation to perform
+     *
+     * @return SQLite3DMLQueryBuilder $self Self reference
+     */
+    public function except($sql_query, $operator = NULL)
+    {
+        if (strtoupper($operator) !== 'DISTINCT')
+        {
+            $operator = NULL;
+        }
+
+        $this->sql_compound($sql_query, 'EXCEPT', $operator);
+        return $this;
+    }
+
+    /**
+     * Define a INTERSECT, INTERSECT ALL or INTERSECT DISTINCT clause of the SQL statement.
+     *
+     * @param string $sql_query SQL query reference
+     * @param string $operator  INTERSECT operation to perform
+     *
+     * @return SQLite3DMLQueryBuilder $self Self reference
+     */
+    public function intersect($sql_query, $operator = NULL)
+    {
+        if (strtoupper($operator) !== 'DISTINCT')
+        {
+            $operator = NULL;
+        }
+
+        $this->sql_compound($sql_query, 'INTERSECT', $operator);
+        return $this;
+    }
+
 }
 
 ?>
diff --git a/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3DMLQueryBuilderSelectTest.php b/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3DMLQueryBuilderSelectTest.php
index 4aa1ee51d44ea564c73f5953093a6dba22c0d6c5..da240df17dd9f7c0b765458ef155425c0b18a1a1 100644
--- a/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3DMLQueryBuilderSelectTest.php
+++ b/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3DMLQueryBuilderSelectTest.php
@@ -96,4 +96,80 @@ class SQLite3DMLQueryBuilderSelectTest extends SQLite3DMLQueryBuilderTest
         $this->assertSame($this->class, $return);
     }
 
+    /**
+     * Test if except returns an instance of itself.
+     *
+     * @covers Lunr\Gravity\Database\SQLite3\SQLite3DMLQueryBuilder::except
+     */
+    public function testIfExceptReturnsSelfReference()
+    {
+        $except = $this->class->except('query');
+
+        $this->assertInstanceOf('Lunr\Gravity\Database\SQLite3\SQLite3DMLQueryBuilder', $except);
+        $this->assertSame($this->class, $except);
+    }
+
+    /**
+     * Test if intersect returns an instance of itself.
+     *
+     * @covers Lunr\Gravity\Database\SQLite3\SQLite3DMLQueryBuilder::intersect
+     */
+    public function testIfIntersectReturnsSelfReference()
+    {
+        $intersect = $this->class->intersect('query');
+
+        $this->assertInstanceOf('Lunr\Gravity\Database\SQLite3\SQLite3DMLQueryBuilder', $intersect);
+        $this->assertSame($this->class, $intersect);
+    }
+
+    /**
+     * Test if intersect() defaults to INTERSECT when a string other than DISTINCT is passed.
+     *
+     * @covers Lunr\Gravity\Database\SQLite3\SQLite3DMLQueryBuilder::intersect
+     */
+    public function testIntersectDefaults()
+    {
+        $this->class->intersect('query', 'random_string');
+        $returned = $this->get_reflection_property_value('compound');
+        $this->assertEquals('INTERSECT query', $returned);
+    }
+
+    /**
+     * Test if intersect() returns INTERSECT DISTINCT when DISTINCT is passed.
+     *
+     * @covers Lunr\Gravity\Database\SQLite3\SQLite3DMLQueryBuilder::intersect
+     */
+    public function testIntersectDistinct()
+    {
+        $this->class->intersect('query', 'DISTINCT');
+        $returned = $this->get_reflection_property_value('compound');
+        $this->assertEquals('INTERSECT DISTINCT query', $returned);
+    }
+
+    /**
+     * Test if except() defaults to EXCEPT when a string other than DISTINCT is passed.
+     *
+     * @covers Lunr\Gravity\Database\SQLite3\SQLite3DMLQueryBuilder::except
+     */
+    public function testExceptDefaults()
+    {
+        $this->class->except('query', 'random_string');
+        $returned = $this->get_reflection_property_value('compound');
+        $this->assertEquals('EXCEPT query', $returned);
+    }
+
+    /**
+     * Test if except() returns EXCEPT DISTINCT when DISTINCT is passed.
+     *
+     * @covers Lunr\Gravity\Database\SQLite3\SQLite3DMLQueryBuilder::except
+     */
+    public function testExceptDistinct()
+    {
+        $this->class->except('query', 'DISTINCT');
+        $returned = $this->get_reflection_property_value('compound');
+        $this->assertEquals('EXCEPT DISTINCT query', $returned);
+    }
+
 }
+
+?>
diff --git a/src/Lunr/Gravity/Database/Tests/DatabaseDMLQueryBuilderQueryPartsTest.php b/src/Lunr/Gravity/Database/Tests/DatabaseDMLQueryBuilderQueryPartsTest.php
index 0c366cfb12f5dc018ec0a1fdf4ef0499d732fd42..f92b738276e96a72c8ef22772da235c4a005d39a 100644
--- a/src/Lunr/Gravity/Database/Tests/DatabaseDMLQueryBuilderQueryPartsTest.php
+++ b/src/Lunr/Gravity/Database/Tests/DatabaseDMLQueryBuilderQueryPartsTest.php
@@ -36,8 +36,14 @@ class DatabaseDMLQueryBuilderQueryPartsTest extends DatabaseDMLQueryBuilderTest
 
         $method->invokeArgs($this->class, [ '(sql query)', $types, $operator ]);
 
-        ($operator === NULL) ? $string = $types . ' (sql query)'
-                             : $string = $types . " " . $operator . ' (sql query)';
+        if($operator === NULL)
+        {
+            $string = $types . ' (sql query)';
+        }
+        else
+        {
+            $string = $types . " " . $operator . ' (sql query)';
+        }
 
         $this->assertPropertyEquals('compound', $string);
     }
@@ -77,6 +83,38 @@ class DatabaseDMLQueryBuilderQueryPartsTest extends DatabaseDMLQueryBuilderTest
         $this->assertPropertyEquals('compound', 'QUERY UNION (sql query)');
     }
 
+    /**
+     * Test specifying the EXCEPT part of a query, when compound is set.
+     *
+     * @covers Lunr\Gravity\Database\DatabaseDMLQueryBuilder::sql_compound
+     */
+    public function testCompoundQueryWhenCompoundIsSetWithExcept(): void
+    {
+        $this->set_reflection_property_value('compound', 'QUERY');
+
+        $method = $this->get_accessible_reflection_method('sql_compound');
+
+        $method->invokeArgs($this->class, [ '(sql query)', 'EXCEPT' ]);
+
+        $this->assertPropertyEquals('compound', 'QUERY EXCEPT (sql query)');
+    }
+
+    /**
+     * Test specifying the INTERSECT part of a query, when compound is set.
+     *
+     * @covers Lunr\Gravity\Database\DatabaseDMLQueryBuilder::sql_compound
+     */
+    public function testCompoundQueryWhenCompoundIsSetWithIntersect(): void
+    {
+        $this->set_reflection_property_value('compound', 'QUERY');
+
+        $method = $this->get_accessible_reflection_method('sql_compound');
+
+        $method->invokeArgs($this->class, [ '(sql query)', 'INTERSECT' ]);
+
+        $this->assertPropertyEquals('compound', 'QUERY INTERSECT (sql query)');
+    }
+
     /**
      * Test creating a simple order by statement.
      *
diff --git a/src/Lunr/Gravity/Database/Tests/DatabaseDMLQueryBuilderTest.php b/src/Lunr/Gravity/Database/Tests/DatabaseDMLQueryBuilderTest.php
index c9cbf88a3883b686b60d3e3876ee6ec6d0f2c452..a2d593e3a48b9c3451d373528759fb5646ebfdfd 100644
--- a/src/Lunr/Gravity/Database/Tests/DatabaseDMLQueryBuilderTest.php
+++ b/src/Lunr/Gravity/Database/Tests/DatabaseDMLQueryBuilderTest.php
@@ -118,8 +118,14 @@ abstract class DatabaseDMLQueryBuilderTest extends LunrBaseTest
     {
         $types   = [];
         $types[] = [ 'UNION' ];
-        $types[] = [ 'UNION','ALL' ];
-        $types[] = [ 'UNION','DISTINCT' ];
+        $types[] = [ 'UNION', 'ALL' ];
+        $types[] = [ 'UNION', 'DISTINCT' ];
+        $types[] = [ 'INTERSECT' ];
+        $types[] = [ 'INTERSECT', 'ALL' ];
+        $types[] = [ 'INTERSECT', 'DISTINCT' ];
+        $types[] = [ 'EXCEPT' ];
+        $types[] = [ 'EXCEPT', 'ALL' ];
+        $types[] = [ 'EXCEPT', 'DISTINCT' ];
 
         return $types;
     }
@@ -132,10 +138,18 @@ abstract class DatabaseDMLQueryBuilderTest extends LunrBaseTest
     public function compoundQueryInvalidTypeAndOperatorProvider(): array
     {
         $types   = [];
-        $types[] = [ 'UNION','Some Operator' ];
+        $types[] = [ 'UNION', 'Some Operator' ];
         $types[] = [ 'UNION', 0 ];
         $types[] = [ 'UNION', FALSE ];
         $types[] = [ 'UNION', TRUE ];
+        $types[] = [ 'INTERSECT', 'Some Operator' ];
+        $types[] = [ 'INTERSECT', 0 ];
+        $types[] = [ 'INTERSECT', FALSE ];
+        $types[] = [ 'INTERSECT', TRUE ];
+        $types[] = [ 'EXCEPT', 'Some Operator' ];
+        $types[] = [ 'EXCEPT', 0 ];
+        $types[] = [ 'EXCEPT', FALSE ];
+        $types[] = [ 'EXCEPT', TRUE ];
 
         return $types;
     }
diff --git a/src/Lunr/Gravity/Database/Tests/SQLDMLQueryBuilderSelectTest.php b/src/Lunr/Gravity/Database/Tests/SQLDMLQueryBuilderSelectTest.php
index 0bbeca299ef30cf02f3b506aa480d0e6b5ead5db..f68ae66e7cf8e600f98f7638b00c0677edae4720 100644
--- a/src/Lunr/Gravity/Database/Tests/SQLDMLQueryBuilderSelectTest.php
+++ b/src/Lunr/Gravity/Database/Tests/SQLDMLQueryBuilderSelectTest.php
@@ -171,7 +171,7 @@ class SQLDMLQueryBuilderSelectTest extends SQLDMLQueryBuilderTest
      */
     public function testUnion(): void
     {
-        $return = $this->class->union('QUERY');
+        $this->class->union('QUERY');
 
         $this->assertPropertyEquals('compound', 'UNION QUERY');
     }
@@ -184,7 +184,7 @@ class SQLDMLQueryBuilderSelectTest extends SQLDMLQueryBuilderTest
      */
     public function testUnionDistinct(): void
     {
-        $return = $this->class->union('QUERY', 'DISTINCT');
+        $this->class->union('QUERY', 'DISTINCT');
 
         $this->assertPropertyEquals('compound', 'UNION DISTINCT QUERY');
     }
@@ -197,7 +197,7 @@ class SQLDMLQueryBuilderSelectTest extends SQLDMLQueryBuilderTest
      */
     public function testUnionAll(): void
     {
-        $return = $this->class->union('QUERY', 'ALL');
+        $this->class->union('QUERY', 'ALL');
 
         $this->assertPropertyEquals('compound', 'UNION ALL QUERY');
     }
diff --git a/tests/phpunit.xml b/tests/phpunit.xml
index 0b58d694208c832f1260faddea54a34fdc86afb4..9fb672b6e12c908b34927b40c2c3f0778169ff6d 100644
--- a/tests/phpunit.xml
+++ b/tests/phpunit.xml
@@ -157,6 +157,8 @@
             <file>../src/Lunr/Gravity/Database/MySQL/Tests/MySQLConnectionMasterSlaveTest.php</file>
             <file>../src/Lunr/Gravity/Database/MariaDB/Tests/MariaDBConnectionBaseTest.php</file>
             <file>../src/Lunr/Gravity/Database/MariaDB/Tests/MariaDBDMLQueryBuilderDeleteTest.php</file>
+            <file>../src/Lunr/Gravity/Database/MariaDB/Tests/MariaDBDMLQueryBuilderSelectTest.php</file>
+            <file>../src/Lunr/Gravity/Database/MariaDB/Tests/MariaDBSimpleDMLQueryBuilderSelectTest.php</file>
             <file>../src/Lunr/Gravity/Database/MariaDB/Tests/MariaDBSimpleDMLQueryBuilderBaseTest.php</file>
             <file>../src/Lunr/Gravity/Database/MariaDB/Tests/MariaDBSimpleDMLQueryBuilderDeleteTest.php</file>
             <file>../src/Lunr/Gravity/Database/MariaDB/Tests/MariaDBSimpleDMLQueryBuilderBaseTest.php</file>
